<?php
/**
 * Plugin Name: Kinsley Plugin
 * Plugin URI: https://bslthemes.site/kinsley/
 * Description: This plugin it's designed for Kinsley Theme
 * Version: 1.0.2
 * Author: beshleyua
 * Author URI: https://bslthemes.site/
 * Text Domain: kinsley-plugin
 * Domain Path: /languages/
 * License: http://www.gnu.org/licenses/gpl.html
 */

/* Load plugin text-domain */
function kinsley_plugin_load_textdomain() {
	load_plugin_textdomain( 'kinsley-plugin', false, dirname( plugin_basename( __FILE__ ) ) . '/languages/' );
}
add_action( 'plugins_loaded', 'kinsley_plugin_load_textdomain' );

/* Custom Post Types */
require plugin_dir_path( __FILE__ ) . 'inc/custom-post-types.php';

/* ACF kinsley fields extention */
require plugin_dir_path( __FILE__ ) . 'acf-ext/acf-ui-google-font/acf-ui-google-font.php';
require plugin_dir_path( __FILE__ ) . 'acf-ext/acf-cf7/acf-cf7.php';

/* Instagram */
require plugin_dir_path( __FILE__ ) . 'inc/instagram.php';

/**
 * Include Elementor Functions
 */
require_once plugin_dir_path( __FILE__ ) . 'elementor/functions.php';

/* Social Share */
require plugin_dir_path( __FILE__ ) . '/social-share/social-share.php';

/**
 * Enabled Custom Post Type Elementor Supports
 */
function kinsley_elementor_cpt_support() {
    $cpt_support = get_option( 'elementor_cpt_support' );

	if( ! $cpt_support ) {
	    $cpt_support = [ 'page', 'post', 'mphb_room_type' ];
	    update_option( 'elementor_cpt_support', $cpt_support );
	} else if( ! in_array( 'mphb_room_type', $cpt_support ) ) {
	    $cpt_support[] = 'mphb_room_type';
	    update_option( 'elementor_cpt_support', $cpt_support );
	}
}
function kinsley_elementor_disable_fonts_and_colors() {
	$color_schemes = get_option( 'elementor_disable_color_schemes' );
	$typography_schemes = get_option( 'elementor_disable_typography_schemes' );

	if( ! $color_schemes ) {
	    update_option( 'elementor_disable_color_schemes', 'yes' );
	}
	if( ! $typography_schemes ) {
	    update_option( 'elementor_disable_typography_schemes', 'yes' );
	}
}

/* Update permalink structure when plugin is activated */
function kinsley_plugin_activate() {
	update_option( 'rewrite_rules', '' );
	kinsley_elementor_cpt_support();
	kinsley_elementor_disable_fonts_and_colors();
}
function kinsley_plugin_deactivate() {
	update_option( 'rewrite_rules', '' );
}

register_activation_hook( __FILE__, 'kinsley_plugin_activate' );
register_deactivation_hook( __FILE__, 'kinsley_plugin_deactivate' );

?>
