( function( $ ) {
  'use strict';

  var elementor = 0;
  if ( window.location.href.indexOf('/?elementor-preview=') > -1 ) {
      elementor = 1;
  }

  $('.set-sticky-container').attr('data-sticky-container', '');
  $('.set-sticky-margintop100').attr('data-margin-top', '100');

  /***************************

  preloader

  ***************************/
  $(document).ready(function() {
    $(".knsl-preloader").animate({
      opacity: 1
    }, {
      duration: 400,
    });
    setTimeout(function() {
      $('.knsl-preloader-number').each(function() {
        var $this = $(this),
          countTo = $this.attr('data-count');
        $({
          countNum: $this.text()
        }).animate({
          countNum: countTo
        }, {
          duration: 800,
          easing: 'swing',
          step: function() {
            $this.text(Math.floor(this.countNum));
          },
        });
      });
      $(".knsl-preloader-bar").animate({
        width: '100%'
      }, {
        duration: 800,
        complete: function() {
          $(".knsl-preloader-frame").addClass('knsl-hidden')
        }
      });
    }, 1000);
  });
  /*mobile header*/
  function moveHeaderBtnMobile() {
    if ( document.documentElement.clientWidth <= 992 ) {
        if ( ! $('.elementor-widget-kinsley-header-menu .knsl-btn').length ) {
          $('.elementor-widget-kinsley-header-menu .elementor-widget-container').append( $('.elementor-widget-kinsley-header-buttons .knsl-btn').prop('outerHTML') );
        }
    } else {
      if ( $('.elementor-widget-kinsley-header-menu .knsl-btn').length ) {
        $('.elementor-widget-kinsley-header-menu .knsl-btn').remove();
      }
    }
  }
  moveHeaderBtnMobile();
  window.addEventListener("resize", function(){
    moveHeaderBtnMobile();
  });
  /***************************

  popup

  ***************************/
  $('.knsl-btn-book').on("click", function() {
    $('.knsl-popup-frame-1').toggleClass('knsl-active');
    return false;
  });

  var popup_id = $('.knsl-popup-frame-2').attr('id');
  $('a[href="#'+popup_id+'"]').on("click", function() {
    $('.knsl-popup-frame-2').toggleClass('knsl-active');
    return false;
  });
  $('.knsl-close-popup').on("click", function() {
    $('.knsl-popup-frame').removeClass('knsl-active')
  });
  /***************************

  scrollspy and smooth scroll

  ***************************/
  $('.knsl-side-menu a , .knsk-s-s').on("click", function() {
    $(".knsl-active").removeClass("knsl-active");
    $(this).closest('li a').addClass("knsl-active");
    var theClass = $(this).attr("class");
    $('.' + theClass).parent('li a').addClass('knsl-active');
    $('html, body').stop().animate({
      scrollTop: $($(this).attr('href')).offset().top - 170
    }, 600);
    return false;
  });
  /***************************

  parallax

  ***************************/
  $(window).on('scroll', parallax)

  function parallax() {
    var s = $(window).scrollTop();

    function parallaxDown(e, t) {
      $(e).css({
        'position': 'relative',
        'top': (s * t) + 'px'
      });
    }
    parallaxDown('.knsl-parallax', .4);
  }
  /***************************

  menu

  ***************************/
  $('.knsl-menu-btn').on('click', function() {
    $('.knsl-menu-btn , .knsl-right-side, .elementor-widget-kinsley-header-menu').toggleClass('knsl-active');
  });
  $('.knsl-menu ul li a').on('click', function() {
    $('.knsl-menu-btn , .knsl-right-side, .elementor-widget-kinsley-header-menu').removeClass('knsl-active');
  });
  $( "<i></i>" ).insertAfter('.knsl-menu nav > ul > li.menu-item-has-children > a');
  $('.knsl-menu ul li a').on('click', function() {
    $('.knsl-menu-btn , .knsl-right-side, .elementor-widget-kinsley-header-menu').removeClass('knsl-active');
  });
  $(window).on('scroll', function(){
  	if ($(this).scrollTop() > 100) {
  		$('.knsl-top-bar').addClass('fixed');
  	}
  	else {
  		$('.knsl-top-bar').removeClass('fixed');
  	}
  });
  if ($(window).width() < 992) {
    $('.knsl-menu ul li i').on('click', function(){
    	if($(this).hasClass('active')){
    		$(this).removeClass('active');
    		$(this).closest('li').removeClass('active');
    		$(this).closest('li').find('> ul').slideUp();
    	} else {
    		$(this).addClass('active');
    		$(this).closest('li').addClass('active');
    		$(this).closest('li').find('> ul').slideDown();
    	}
    });
  }
  /***************************

  nice select

  ***************************/
  $(document).ready(function() {
    $('select').not('[class^="datepick"]').select2();
  });
  $( "<span></span>" ).insertAfter( $( ".mphb-checkbox-label input[type='checkbox'], .mphb-terms-and-conditions-accept label input[type='checkbox']" ) );


  /***************************

  datepicker

  ***************************/
  $('.datepicker-here').datepicker({
    language: 'en',
    minDate: new Date()
  })
  /***************************

  about slider

  ***************************/
  var swiper = new Swiper('.knsl-about-slider', {
    slidesPerView: 3,
    spaceBetween: 20,
    parallax: true,
    autoHeight: true,
    updateOnWindowResize: true,
    initialSlide: 1,
    centeredSlides: true,
    speed: 800,
    pagination: {
      el: '.knsl-about-slider-1-pagination',
      type: "fraction",
    },
    navigation: {
      prevEl: '.knsl-about-slider-1-prev',
      nextEl: '.knsl-about-slider-1-next',
    },
    breakpoints: {
      768: {
        slidesPerView: 1,
      },
      1600: {
        slidesPerView: 2,
      },
    },
  });
  /***************************

  testimonials slider

  ***************************/
  var swiper = new Swiper('.knsl-testimonials-slider', {
    slidesPerView: 1,
    spaceBetween: 20,
    parallax: true,
    autoHeight: true,
    updateOnWindowResize: true,
    initialSlide: 1,
    centeredSlides: true,
    speed: 800,
    pagination: {
      el: '.knsl-testimonials-slider-1-pagination',
      type: "fraction",
    },
    navigation: {
      prevEl: '.knsl-testimonials-slider-1-prev',
      nextEl: '.knsl-testimonials-slider-1-next',
    },
  });
  /***************************

  rooms slider

  ***************************/
  var swiper = new Swiper('.knsl-uni-slider', {
    slidesPerView: 3,
    spaceBetween: 20,
    parallax: true,
    autoHeight: true,
    updateOnWindowResize: true,
    speed: 800,
    pagination: {
      el: '.knsl-uni-slider-pagination',
      type: "fraction",
    },
    navigation: {
      prevEl: '.knsl-uni-slider-prev',
      nextEl: '.knsl-uni-slider-next',
    },
    breakpoints: {
      768: {
        slidesPerView: 1,
      },
      1200: {
        slidesPerView: 2,
      },
    },
  });
  /***************************

  room details

  ***************************/
  var swiper1 = new Swiper(".knsl-rd-slider-1", {
    loop: true,
    spaceBetween: 10,
    slidesPerView: 4,
    freeMode: true,
    watchSlidesVisibility: true,
    watchSlidesProgress: true,
  });
  var swiper2 = new Swiper(".knsl-rd-slider-2", {
    loop: true,
    effect: 'fade',
    parallax: true,
    thumbs: {
      swiper: swiper1,
    },
  });
  /***************************

  scroll animation

  ***************************/
  $(window).scroll(function() {
    $('.knsl-scroll-animation').each(function(i) {
      var bottom_of_object = $(this).offset().top - 380 + $(this).outerHeight();
      var bottom_of_window = $(window).scrollTop() + $(window).height();
      if (bottom_of_window > bottom_of_object) {
        $(this).addClass('knsl-active-el');
      }
      if (bottom_of_window < bottom_of_object) {
        $(this).removeClass('knsl-active-el');
      }
    });
  });
  /***************************

  counters

  ***************************/
  var count = 0;
  if ($('.knsl-counters-card').length) {
    $(window).scroll(function() {
      var oTop = $('.knsl-counters-card').offset().top - window.innerHeight;
      if (count == 0 && $(window).scrollTop() > oTop) {
        $('.knsl-counter-number').each(function() {
          var $this = $(this),
            countTo = $this.attr('data-count');
          $({
            countNum: $this.text()
          }).animate({
            countNum: countTo
          }, {
            duration: 3000,
            easing: 'swing',
            step: function() {
              $this.text(Math.floor(this.countNum));
            },
            complete: function() {
              $this.text(this.countNum);
            }
          });
        });
        count = 1;
      }
    });
  }
  /***************************

  sticky

  ***************************/
  var sticky = new Sticky('.knsl-sticky');
  if ($(window).width() < 992) {
    sticky.destroy();
  }
  /***************************

  map

  ***************************/
  $(".knsl-lock").on('click', function() {
    $('.knsl-map').toggleClass('knsl-active');
    $('.knsl-lock').toggleClass('knsl-active');
    $('.knsl-lock .fas').toggleClass('fa-unlock');
  });
  if ($("div").is("#map")) {
    var map_zoom = $('#map').data('zoom');
    var map_lng = $('#map').data('lng');
    var map_lat = $('#map').data('lat');

    mapboxgl.accessToken = 'pk.eyJ1Ijoic3Rvc2NhciIsImEiOiJja2VpbDE4b2UwbDg3MnNwY2d3YzlvcDV5In0.e26tLedpKwxrkOmPkWhQlg';
    var map = new mapboxgl.Map({
      container: 'map',
      style: 'mapbox://styles/stoscar/ckr3l0wj625iz17mhhfrwf7oo',
      center: [map_lng, map_lat],
      zoom: map_zoom
    });
    var marker = new mapboxgl.Marker()
      .setLngLat([map_lng, map_lat])
      .addTo(map);
  }
  /***************************

  isotope

  ***************************/
  $('.knsl-filter a').on('click', function() {
    $('.knsl-filter .knsl-current').removeClass('knsl-current');
    $(this).addClass('knsl-current');

    var selector = $(this).data('filter');
    $('.knsl-masonry-grid').isotope({
      filter: selector
    });
    return false;
  });
  var $masonryGrid = $('.knsl-masonry-grid').isotope({
    filter: '*',
    itemSelector: '.knsl-masonry-grid-item',
    percentPosition: true,
    masonry: {
      columnWidth: '.knsl-grid-sizer'
    }
  });
  $masonryGrid.imagesLoaded().progress( function() {
      $masonryGrid.isotope ({
        columnWidth: '.knsl-grid-sizer',
        isAnimated: true
    });
  });

  /*-------------------------
  Magnific Popups
  -------------------------*/
  if ( ! $('body').hasClass('elementor-default') ) {
    if(/\.(?:jpg|jpeg|gif|png)$/i.test($('.wp-block-gallery .blocks-gallery-item:first a').attr('href'))){
      $('.wp-block-gallery a').magnificPopup({
        gallery: {
            enabled: true
        },
        type: 'image',
        closeOnContentClick: false,
        fixedContentPos: false,
        closeBtnInside: false,
        callbacks: {
          beforeOpen: function() {
            // just a hack that adds mfp-anim class to markup
             this.st.image.markup = this.st.image.markup.replace('mfp-figure', 'mfp-figure mfp-with-anim');
             this.st.mainClass = 'mfp-zoom-in';
          }
        },
      });
    }
  }
  $('[data-magnific-inline]').magnificPopup({
    type: 'inline',
    overflowY: 'auto',
    preloader: false,
    callbacks: {
      beforeOpen: function() {
         this.st.mainClass = 'mfp-zoom-in';
      }
    },
  });
  $('[data-magnific-image]').magnificPopup({
    type: 'image',
    closeOnContentClick: true,
    fixedContentPos: false,
    closeBtnInside: false,
    callbacks: {
      beforeOpen: function() {
        // just a hack that adds mfp-anim class to markup
         this.st.image.markup = this.st.image.markup.replace('mfp-figure', 'mfp-figure mfp-with-anim');
         this.st.mainClass = 'mfp-zoom-in';
      }
    },
  });
  $('[data-magnific-video]').magnificPopup({
    type: 'iframe',
    iframe: {
        patterns: {
            youtube_short: {
              index: 'youtu.be/',
              id: 'youtu.be/',
              src: 'https://www.youtube.com/embed/%id%?autoplay=1'
            }
        }
    },
    preloader: false,
    fixedContentPos: false,
    callbacks: {
      markupParse: function(template, values, item) {
        template.find('iframe').attr('allow', 'autoplay');
      },
      beforeOpen: function() {
        // just a hack that adds mfp-anim class to markup
         this.st.image.markup = this.st.image.markup.replace('mfp-figure', 'mfp-figure mfp-with-anim');
         this.st.mainClass = 'mfp-zoom-in';
      }
    },
  });
  $('[data-magnific-music]').magnificPopup({
    type: 'iframe',
    preloader: false,
    fixedContentPos: false,
    closeBtnInside: true,
    callbacks: {
      beforeOpen: function() {
        // just a hack that adds mfp-anim class to markup
         this.st.image.markup = this.st.image.markup.replace('mfp-figure', 'mfp-figure mfp-with-anim');
         this.st.mainClass = 'mfp-zoom-in';
      }
    },
  });
  $('[data-magnific-gallery]').magnificPopup({
    gallery: {
        enabled: true
    },
    type: 'image',
    closeOnContentClick: false,
    fixedContentPos: false,
    closeBtnInside: false,
    callbacks: {
      beforeOpen: function() {
        // just a hack that adds mfp-anim class to markup
         this.st.image.markup = this.st.image.markup.replace('mfp-figure', 'mfp-figure mfp-with-anim');
         this.st.mainClass = 'mfp-zoom-in';
      }
    },
  });

  /*-------------------------
  Pagination
  -------------------------*/
  if ( ! $('.knsl-pagination > *').length ) {
    $('.knsl-pagination').hide();
  }

} )( jQuery );
