<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package kinsley
 */

?>

<?php

/*options*/
$theme_lightbox = get_field( 'portfolio_lightbox_disable', 'option' );

/* post content */
$current_categories = get_the_terms( get_the_ID(), 'gallery_categories' );
$categories_slugs_string = '';
if ( $current_categories && ! is_wp_error( $current_categories ) ) {
	foreach ( $current_categories as $key => $value ) {
		$categories_slugs_string .= $value->slug . ' ';
	}
}

$image = get_the_post_thumbnail_url( get_the_ID(), 'kinsley_950xAuto' );
$image_full = get_the_post_thumbnail_url( get_the_ID(), 'kinsley_1920xAuto' );
$title = get_the_title();

$scroll_animation = false;

if ( $index > 3 && $layout == 'column-3' ) {
	$scroll_animation = true;
}

?>

<div class="knsl-masonry-grid-item knsl-masonry-grid-item-33 <?php echo esc_attr( $categories_slugs_string ); ?>">
	<?php if ( $image ) : ?>
	<!-- gallery item -->
	<a <?php if ( ! $theme_lightbox ) : ?> data-magnific-gallery<?php endif; ?> data-elementor-lightbox-slideshow="gallery-grid" data-elementor-lightbox-title="<?php echo esc_attr( $title ); ?>" href="<?php echo esc_url( $image_full ); ?>" class="knsl-gallery-item<?php if ( $scroll_animation ) : ?> knsl-scroll-animation<?php endif; ?>">
		<img src="<?php echo esc_url( $image ); ?>" alt="<?php echo esc_attr( $title ); ?>" />
		<span class="knsl-zoom"><i class="fas fa-search-plus"></i></span>
	</a>
	<!-- gallery item end -->
	<?php endif; ?>
</div>
